Bug 169801 - Review Request: perl-Net-IP-CMatch - Efficiently match IP addresses against IP ranges with C
Review Request: perl-Net-IP-CMatch - Efficiently match IP addresses against I...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-03 15:53 EDT by Orion Poplawski
Modified: 2015-02-01 10:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-19 10:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch addressing review issues (2.62 KB, patch)
2005-10-18 13:18 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2005-10-03 15:53:29 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Net-IP-CMatch.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/perl-Net-IP-CMatch-0.02-1.src.rpm
Description: 

Net::IP::CMatch is based upon, and does the same thing as Net::IP::Match. The
unconditionally exported subroutine 'match_ip' determines if the ip to match
( first argument ) matches any of the subsequent ip arguments. Match arguments
may be absolute quads, as '127.0.0.1', or contain mask bits as
'111.245.76.248/29'. A true return value indicates a match. It was written in
C, rather than a macro, preprocessed through Perl's source filter mechanism
( as is Net::IP::Match ), so that the ip arguments could be traditional perl
scalars. The C code is lean and mean ( IMHO ).
Comment 1 Paul Howarth 2005-10-18 13:17:45 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386) and in mock for rawhide (i386)
- BR's mostly OK
- no libraries, locales, subpackages or pkgconfigs to worry about
- not relocatable
- no duplicate files
- no file permission issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Needswork:

- package should own directory %{perl_vendorarch}/Net since it's not owned by
  any of its dependencies

Nitpick:

- perl is part of the minimal buildroot and hence the explicit BR: perl is not
needed

Suggestions:

- http://search.cpan.org/dist/Net-IP-CMatch/ would be a more stable URL to
  use since it won't change if there is a new upstream version and the
  package is updated

- using %{version} instead of hardcoding the version number in the Source0 URL
  would mean less to change and less chance of errors if there is a new
  upstream version and the package is updated

- the compiler optimization flags setting could be simplified to:

  %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
  make %{?_smp_mflags}

- the "Changes" file could be included as %doc
Comment 2 Paul Howarth 2005-10-18 13:18:46 EDT
Created attachment 120127 [details]
Patch addressing review issues
Comment 3 Orion Poplawski 2005-10-18 14:06:50 EDT
Applied. Thanks!

http://www.cora.nwra.com/~orion/fedora/perl-Net-IP-CMatch-0.02-2.src.rpm
Comment 4 Paul Howarth 2005-10-18 15:40:40 EDT
(In reply to comment #3)
> Applied. Thanks!
> 
> http://www.cora.nwra.com/~orion/fedora/perl-Net-IP-CMatch-0.02-2.src.rpm

Approved.
Comment 5 Orion Poplawski 2005-10-19 10:53:01 EDT
Build on devel completed
Comment 6 Orion Poplawski 2015-01-30 16:42:07 EST
Package Change Request
======================
Package Name: perl-Net-IP-CMatch
New Branches: epel7
Owners: orion
InitialCC:
Comment 7 Gwyn Ciesla 2015-02-01 10:41:19 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.